//
//      0
//    5   1
//      6
//    4   2
//      3
//

module hex_display(
    input       [3:0]   in,
    output      [6:0]   out_i
    );

reg [6:0] out;

// Shuffle and flip bits as necessary for the board in question
assign out_i[6] = ~out[0];
assign out_i[5] = ~out[1];
assign out_i[4] = ~out[2];
assign out_i[3] = ~out[3];
assign out_i[2] = ~out[4];
assign out_i[1] = ~out[5];
assign out_i[0] = ~out[6];
	 
always @*
    case (in)
        4'b0000 : out = 7'b1111110;
        4'b0001 : out = 7'b0110000;
        4'b0010 : out = 7'b1101101; 
        4'b0011 : out = 7'b1111001;
        4'b0100 : out = 7'b0110011;
        4'b0101 : out = 7'b1011011;  
        4'b0110 : out = 7'b1011111;
        4'b0111 : out = 7'b1110000;
        4'b1000 : out = 7'b1111111;
        4'b1001 : out = 7'b1111011;
        4'b1010 : out = 7'b1110111; 
        4'b1011 : out = 7'b0011111;
        4'b1100 : out = 7'b1001110;
        4'b1101 : out = 7'b0111101;
        4'b1110 : out = 7'b1001111;
        4'b1111 : out = 7'b1000111;
    endcase
 
endmodule